> ## Documentation Index
> Fetch the complete documentation index at: https://docs.matterai.so/llms.txt
> Use this file to discover all available pages before exploring further.

# List Models

> List all available models from the MatterAI API

## Authentication

All API requests require authentication using a Bearer token. You can obtain your API key from the [MatterAI Console](https://app.matterai.so).

```bash theme={null}
Authorization: Bearer MATTERAI_API_KEY
```

<Warning>
  Keep your API key secure and never expose it in client-side code. Get your API
  key from the MatterAI console.
</Warning>

## Request

This endpoint doesn't require any parameters.

## Response

<ResponseField name="object" type="string">
  The object type, which is always `"list"`.
</ResponseField>

<ResponseField name="data" type="array">
  A list of model objects.

  <Expandable title="Model Object">
    <ResponseField name="id" type="string">
      The model identifier.
    </ResponseField>

    <ResponseField name="name" type="string">
      The model name.
    </ResponseField>

    <ResponseField name="description" type="string">
      A description of the model.
    </ResponseField>

    <ResponseField name="object" type="string">
      The object type, which is always `"model"`.
    </ResponseField>

    <ResponseField name="input_modalities" type="array">
      The input modalities supported by the model.
    </ResponseField>

    <ResponseField name="context_length" type="integer">
      The maximum context length for the model.
    </ResponseField>

    <ResponseField name="max_output_length" type="integer">
      The maximum output length for the model.
    </ResponseField>

    <ResponseField name="output_modalities" type="array">
      The output modalities supported by the model.
    </ResponseField>

    <ResponseField name="supported_sampling_parameters" type="array">
      The sampling parameters supported by the model.
    </ResponseField>

    <ResponseField name="supported_features" type="array">
      The features supported by the model.
    </ResponseField>

    <ResponseField name="openrouter" type="object">
      OpenRouter integration details.

      <Expandable title="OpenRouter Object">
        <ResponseField name="slug" type="string">
          The OpenRouter slug for the model.
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="datacenters" type="array">
      The datacenters where the model is available.

      <Expandable title="Datacenter Object">
        <ResponseField name="country_code" type="string">
          The country code of the datacenter.
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="created" type="integer">
      The Unix timestamp (in seconds) of when the model was created.
    </ResponseField>

    <ResponseField name="owned_by" type="string">
      The organization that owns the model.
    </ResponseField>

    <ResponseField name="pricing" type="object">
      Pricing information for the model.

      <Expandable title="Pricing Object">
        <ResponseField name="prompt" type="string">
          The price per prompt token.
        </ResponseField>

        <ResponseField name="completion" type="string">
          The price per completion token.
        </ResponseField>

        <ResponseField name="image" type="string">
          The price per image.
        </ResponseField>

        <ResponseField name="request" type="string">
          The price per request.
        </ResponseField>

        <ResponseField name="input_cache_reads" type="string">
          The price for input cache reads.
        </ResponseField>

        <ResponseField name="input_cache_writes" type="string">
          The price for input cache writes.
        </ResponseField>
      </Expandable>
    </ResponseField>
  </Expandable>
</ResponseField>

## Example Request

<CodeGroup>
  ```bash cURL theme={null}
  curl --location 'https://api.matterai.so/v1/models' \
  --header 'Authorization: Bearer MATTERAI_API_KEY'
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch('https://api.matterai.so/v1/models', {
    method: 'GET',
    headers: {
      'Authorization': 'Bearer MATTERAI_API_KEY'
    }
  });

  const data = await response.json();
  console.log(data);
  ```

  ```python Python theme={null}
  import requests

  url = "https://api.matterai.so/v1/models"
  headers = {
      "Authorization": "Bearer MATTERAI_API_KEY"
  }

  response = requests.get(url, headers=headers)
  print(response.json())
  ```
</CodeGroup>

## Example Response

```json theme={null}
{
  "object": "list",
  "data": [
    {
      "id": "axon-code",
      "name": "Axon Code",
      "description": "Axon Code is super intelligent LLM model for coding tasks",
      "object": "model",
      "input_modalities": [
        "text"
      ],
      "context_length": 256000,
      "max_output_length": 32768,
      "output_modalities": [
        "text"
      ],
      "supported_sampling_parameters": [
        "temperature",
        "top_p",
        "top_k",
        "repetition_penalty",
        "frequency_penalty",
        "presence_penalty",
        "seed",
        "stop"
      ],
      "supported_features": [
        "tools",
        "structured_outputs",
        "web_search"
      ],
      "openrouter": {
        "slug": "matterai/axon"
      },
      "datacenters": [
        {
          "country_code": "US"
        }
      ],
      "created": 1750426201,
      "owned_by": "matterai",
      "pricing": {
        "prompt": "0.000001",
        "completion": "0.000004",
        "image": "0",
        "request": "0",
        "input_cache_reads": "0",
        "input_cache_writes": "0"
      }
    },
    {
      "id": "axon",
      "name": "Axon",
      "description": "Axon is an general purpose super intelligent LLM model for high-effort day-to-day tasks",
      "object": "model",
      "input_modalities": [
        "text"
      ],
      "context_length": 256000,
      "max_output_length": 32768,
      "output_modalities": [
        "text"
      ],
      "supported_sampling_parameters": [
        "temperature",
        "top_p",
        "top_k",
        "repetition_penalty",
        "frequency_penalty",
        "presence_penalty",
        "seed",
        "stop"
      ],
      "supported_features": [
        "tools",
        "structured_outputs",
        "web_search"
      ],
      "openrouter": {
        "slug": "matterai/axon"
      },
      "datacenters": [
        {
          "country_code": "US"
        }
      ],
      "created": 1750426201,
      "owned_by": "matterai",
      "pricing": {
        "prompt": "0.000001",
        "completion": "0.000004",
        "image": "0",
        "request": "0",
        "input_cache_reads": "0",
        "input_cache_writes": "0"
      }
    },
    {
      "id": "axon-mini",
      "name": "Axon Mini",
      "description": "Axon Mini is an general purpose super intelligent LLM coding model for low-effort day-to-day tasks",
      "object": "model",
      "input_modalities": [
        "text"
      ],
      "context_length": 256000,
      "max_output_length": 16384,
      "output_modalities": [
        "text"
      ],
      "supported_sampling_parameters": [
        "temperature",
        "top_p",
        "top_k",
        "repetition_penalty",
        "frequency_penalty",
        "presence_penalty",
        "seed",
        "stop"
      ],
      "supported_features": [
        "tools",
        "structured_outputs",
        "web_search"
      ],
      "openrouter": {
        "slug": "matterai/axon"
      },
      "datacenters": [
        {
          "country_code": "US"
        }
      ],
      "created": 1750426201,
      "owned_by": "matterai",
      "pricing": {
        "prompt": "2.5e-7",
        "completion": "0.000001",
        "image": "0",
        "request": "0",
        "input_cache_reads": "0",
        "input_cache_writes": "0"
      }
    }
  ]
}
```

## Error Responses

The API returns standard HTTP status codes to indicate success or failure:

<ResponseField name="401" type="Unauthorized">
  Invalid or missing API key.
</ResponseField>

<ResponseField name="429" type="Rate Limited">
  Too many requests. Please slow down.
</ResponseField>

<ResponseField name="500" type="Internal Server Error">
  Server error. Please try again later.
</ResponseField>

Example error response:

```json theme={null}
{
  "error": {
    "message": "Invalid API key provided",
    "type": "invalid_request_error",
    "code": "invalid_api_key"
  }
}
```
